#include <bits/stdc++.h>

using namespace std;

solve()
{
    int n;cin >> n;
    vector<int> vx(n);
    vector<int> vy(n);
    vector<int> vz(n);
    for(int i = 0; i < n; i++)
    {
        cin >> vx[i];
    }
    for(int i = 0; i < n; i++)
    {
        cin >> vy[i];
    }
    for(int i = 0; i < n; i++)
    {
        cin >> vz[i];
    }
    vector <int> bry(n);
    for(int i = 0;i < n; i++)
    {
        bry[vy[i]-1]++;
    }
    vector <int> brz(n);
    long long sum = 0;
    for(int i = 0; i < n;i++)
    {
        sum += vx[i]*vy[vx[i]-1];
    }
}

int main()
{
    solve();
    return 0;
}